package com.sunxung.factoring.entity.businessmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 业务管理 保证金收款确认
 * </p>
 *
 * @author liutao
 * @since 2023-02-27
 */
@TableName("business_bond_collection_confirmation")
public class BusinessBondCollectionConfirmation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 业务基本信息表Id
     */
    @TableField("business_basic_info_id")
    private Long businessBasicInfoId;

    /**
     *  保证金收款  1确认
     */
    @TableField("deposit_collection")
    private Integer depositCollection;

    /**
     * 说明
     */
    @TableField("comments")
    private String comments;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getBusinessBasicInfoId() {
        return businessBasicInfoId;
    }

    public void setBusinessBasicInfoId(Long businessBasicInfoId) {
        this.businessBasicInfoId = businessBasicInfoId;
    }

    public Integer getDepositCollection() {
        return depositCollection;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    @Override
    public String toString() {
        return "BusinessBondCollectionConfirmation{" +
            "businessBasicInfoId=" + businessBasicInfoId +
            ", depositCollection=" + depositCollection +
            ", comments=" + comments +
        "}";
    }
}
